ECHO OFF
ECHO 
ECHO                              ChiWriter  4.2
ECHO                               Installation
ECHO 
IF .==%2. GOTO SYNTAX
IF .==%3. GOTO SYNTAX
FOR %%F IN (A:,B:,C:,D:,E:,F:,G:,H:,I:,J:,K:,L:,M:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (a:,b:,c:,d:,e:,f:,g:,h:,i:,j:,k:,l:,m:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (N:,O:,P:,Q:,R:,S:,T:,U:,V:,W:,X:,Y:,Z:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (n:,o:,p:,q:,r:,s:,t:,u:,v:,w:,x:,y:,z:) DO IF %1.==%%F. GOTO OK

:SYNTAX		      
ECHO 
ECHO                       Installation Instructions
ECHO 
ECHO To install, type
ECHO      A: [Return]
ECHO      INSTALL7  C:  \CW4  printertype [Return]
ECHO 
ECHO printertype is one of
ECHO		CANON      .CAF fonts
ECHO      DESKJET    .DJF fonts
ECHO      DESKJETX   .LFT fonts (no RAM cartridge)
ECHO      LASERL     .HPF and .HPL
ECHO      LASER      .HPF only (printer can rotate)
ECHO      PSCRIPT    .PSF fonts 
ECHO 
ECHO (Note the blank space between drive and backslash.) 
ECHO 

GOTO END

:OK
CD %1%2
GOTO %3

:CANON
MD %1%2\CANON
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO %1FD %%F.LFT %1%2\CANON\%%F.CAF -W
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO %1FD %%F.LFT %1%2\CANON\%%F.CAF -W
FOR %%F IN (IGREEK) DO %1FD %%F.LFT %1%2\CANON\%%F.CAF -W
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO %1FD %%F.LFT %1%2\CANON\%%F.CAL -W
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO %1FD %%F.LFT %1%2\CANON\%%F.CAL -W
FOR %%F IN (IGREEK) DO %1FD %%F.LFT %1%2\CANON\%%F.CAL -W
GOTO CONT

:DESKJET
MD %1%2\DESKJET
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO %1FD %%F.LFT %1%2\DESKJET\%%F.DJF -W
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO %1FD %%F.LFT %1%2\DESKJET\%%F.DJF -W
FOR %%F IN (IGREEK,IITALIC) DO %1FD %%F.LFT %1%2\DESKJET\%%F.DJF -W
COPY ORATOR.* %1%2\DESKJET
GOTO CONT

:DESKJETX
MD %1%2\DESKJET
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO COPY %%F.LF? %1%2\DESKJET
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO COPY %%F.LF? %1%2\DESKJET
FOR %%F IN (IGREEK,IITALIC) DO COPY %%F.LF? %1%2\DESKJET
GOTO CONT

:LASER
:LASERL
MD %1%2\LASER
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO %1FD %%F.LFT %1%2\LASER\%%F.HPF -W
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO %1FD %%F.LFT %1%2\LASER\%%F.HPF -W
FOR %%F IN (IGREEK,IITALIC,IBOLD) DO %1FD %%F.LFT %1%2\LASER\%%F.HPF -W
IF NOT %3==LASERL GOTO CONT
FOR %%F IN (GOTHIC,SCRIPT,GREEK,LINEDRAW) DO %1FD %%F.LFT %1%2\LASER\%%F.HPL -W
FOR %%F IN (ILINEDRA,MATHI,IMATHII,MATHII) DO %1FD %%F.LFT %1%2\LASER\%%F.HPL -W
FOR %%F IN (IGREEK,IITALIC,IBOLD) DO %1FD %%F.LFT %1%2\LASER\%%F.HPL -W
GOTO CONT

:PSCRIPT
MD %1%2\PSCRIPT
COPY INIT?.PS %1%2\PSCRIPT
FOR %%F IN (GOTHIC,GREEK,LINEDRAW,MATHI) DO %1FD %%F.LFT %1%2\PSCRIPT\%%F.PSF -W
FOR %%F IN (SCRIPT,MATHII,ILINEDRA,IMATHII) DO %1FD %%F.LFT %1%2\PSCRIPT\%%F.PSF -W

REM No PostScript fonts on disk #8
ECHO 
ECHO Would you like to install another printer (Y/N) ?
GETKEY YN
IF ERRORLEVEL 2 GOTO FINISH
COPY CONTINUE.BAT %1
%1CONTINUE 4 %1 %2 AGAIN

:FINISH
DEL %1CONTINUE.BAT
ECHO Installation Completed!
GOTO END

:CONT
COPY CONTINUE.BAT %1
%1CONTINUE 8 %1 %2 %3

:END
