ECHO OFF
ECHO 
ECHO                              ChiWriter  4.2
ECHO                               Installation
ECHO 
IF .==%2. GOTO SYNTAX
IF .==%3. GOTO SYNTAX
FOR %%F IN (A:,B:,C:,D:,E:,F:,G:,H:,I:,J:,K:,L:,M:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (a:,b:,c:,d:,e:,f:,g:,h:,i:,j:,k:,l:,m:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (N:,O:,P:,Q:,R:,S:,T:,U:,V:,W:,X:,Y:,Z:) DO IF %1.==%%F. GOTO OK
FOR %%F IN (n:,o:,p:,q:,r:,s:,t:,u:,v:,w:,x:,y:,z:) DO IF %1.==%%F. GOTO OK

:SYNTAX		      
ECHO 
ECHO                       Installation Instructions
ECHO 
ECHO To install, type e.g.
ECHO      A: [Return]
ECHO      INSTALL8  C:  \CW4  printertype [Return]
ECHO 
ECHO printertype is one of
ECHO      DESKJET    .DJF fonts
ECHO      DESKJETX   .LFT fonts (no RAM cartridge)
ECHO      LASERL     .HPF and .HPL
ECHO      LASER      .HPF only (printer can rotate)
ECHO 
ECHO (Note the blank space between drive and backslash.) 
ECHO 

GOTO END

:OK
CD %1%2
GOTO %3

:CANON
FOR %%F IN (ORATOR,SYMBOL) DO %1FD %%F.LFT %1%2\CANON\%%F.CAF -W
FOR %%F IN (ORATOR,SYMBOL) DO %1FD %%F.LFT %1%2\CANON\%%F.CAL -W
GOTO ASK

:DESKJET
FOR %%F IN (PBOLD,PSTANDAR,PITALIC,PSMALL) DO %1FD %%F.LFT %1%2\DESKJET\%%F.DJF -W
FOR %%F IN (SYMBOL,EITALIC,ESTANDAR,EBOLD) DO %1FD %%F.LFT %1%2\DESKJET\%%F.DJF -W
GOTO ASK

:DESKJETX
FOR %%F IN (ORATOR,PBOLD,PSTANDAR,PITALIC,PSMALL) DO COPY %%F.LF? %1%2\DESKJET
FOR %%F IN (SYMBOL,EITALIC,ESTANDAR,EBOLD) DO COPY %%F.LF? %1%2\DESKJET
GOTO ASK

:LASER
:LASERL
FOR %%F IN (ORATOR,PBOLD,PSTANDAR,PITALIC,PSMALL) DO %1FD %%F.LFT %1%2\LASER\%%F.HPF -W
FOR %%F IN (SYMBOL,SMALL,EITALIC,ESTANDAR,EBOLD) DO %1FD %%F.LFT %1%2\LASER\%%F.HPF -W
IF NOT %3==LASERL GOTO ASK
FOR %%F IN (ORATOR,PBOLD,PSTANDAR,PITALIC,PSMALL) DO %1FD %%F.LFT %1%2\LASER\%%F.HPL -W
FOR %%F IN (SYMBOL,SMALL,EITALIC,ESTANDAR,EBOLD) DO %1FD %%F.LFT %1%2\LASER\%%F.HPL -W
GOTO ASK

:ASK
ECHO 
ECHO Would you like to install another printer (Y/N) ?
GETKEY YN
IF ERRORLEVEL 2 GOTO FINISH

COPY CONTINUE.BAT %1
%1CONTINUE 4 %1 %2 AGAIN

:FINISH
ECHO Installation Completed!

:END
